Package org.apache.aries.jax.rs.shiro.authc.impl

## Class SecurityManagerAssociatingFilter

- java.lang.Object
- - org.apache.aries.jax.rs.shiro.authc.impl.SecurityManagerAssociatingFilter

All Implemented Interfaces:
  `javax.ws.rs.container.ContainerRequestFilter`, `javax.ws.rs.container.ContainerResponseFilter`

    @PreMatching
    public class SecurityManagerAssociatingFilter
    extends Object
    implements javax.ws.rs.container.ContainerRequestFilter, javax.ws.rs.container.ContainerResponseFilter

This Filter is used to:

- Associate a SecurityManager with the request
- Set up the current user if a cookie is detected
- Remove the user cookie after the request if the user is logged out

### Constructor Summary

Constructors
`SecurityManagerAssociatingFilter​(org.apache.shiro.mgt.SecurityManager manager)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `filter​(javax.ws.rs.container.ContainerRequestContext requestContext)` Set up the incoming request context
`void` `filter​(javax.ws.rs.container.ContainerRequestContext requestContext, javax.ws.rs.container.ContainerResponseContext responseContext)` Clean up after the request

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SecurityManagerAssociatingFilter

    public SecurityManagerAssociatingFilter​(org.apache.shiro.mgt.SecurityManager manager)

### Method Detail

#### filter

    public void filter​(javax.ws.rs.container.ContainerRequestContext requestContext)
                throws IOException

Set up the incoming request context

Specified by:
  `filter` in interface `javax.ws.rs.container.ContainerRequestFilter`
Throws:
  `IOException`

#### filter

    public void filter​(javax.ws.rs.container.ContainerRequestContext requestContext,
                       javax.ws.rs.container.ContainerResponseContext responseContext)
                throws IOException

Clean up after the request

Specified by:
  `filter` in interface `javax.ws.rs.container.ContainerResponseFilter`
Throws:
  `IOException`